Skip to main content
PUT
/
api2
/
v3
/
users
/
{userUid}
Edit user
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v3/users/{userUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userName": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "role": "SYS_ADMIN",
  "timezone": "<string>",
  "receiveNewsletter": true,
  "note": "<string>",
  "active": true
}
'
{
  "uid": "<string>",
  "id": 123,
  "userName": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "role": "ADMIN",
  "timezone": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDeleted": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "assignableRoles": [
    "<string>"
  ],
  "note": "<string>",
  "receiveNewsletter": true,
  "active": true,
  "pendingEmailChange": true,
  "twoFactorAuthEnabled": true,
  "credentialsReadonly": true,
  "lastLogin": "2023-11-07T05:31:56Z",
  "editorVersion": "<string>",
  "jobsInProgress": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

userUid
string
required

Body

application/json
userName
string
required
Maximum string length: 255
firstName
string
required
Maximum string length: 255
lastName
string
required
Maximum string length: 255
email
string
required
Maximum string length: 255
role
enum<string>
required

Enum: "ADMIN", "PROJECT_MANAGER", "LINGUIST", "GUEST", "SUBMITTER", "PORTAL_MEMBER"

Available options:
SYS_ADMIN,
SYS_ADMIN_READ,
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER,
BOT
timezone
string
required
Maximum string length: 255
receiveNewsletter
boolean

Default: true

note
string
Maximum string length: 4096
active
boolean

Default: true

Response

successful operation

User with all belonging objects

uid
string
required
Maximum string length: 255
id
integer<int64>
required
userName
string
required
Maximum string length: 255
firstName
string
required
Maximum string length: 255
lastName
string
required
Maximum string length: 255
email
string
required
Maximum string length: 255
role
enum<string>
required
Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
timezone
string
required
Maximum string length: 255
dateCreated
string<date-time>
dateDeleted
string<date-time>
createdBy
object
assignableRoles
string[]
note
string
Maximum string length: 4096
receiveNewsletter
boolean
active
boolean
pendingEmailChange
boolean

If user has email change pending (new email not verified)

twoFactorAuthEnabled
boolean

If user has 2FA key configured

credentialsReadonly
boolean

If user credentials are readonly due to SSO

lastLogin
string<date-time>
editorVersion
string
jobsInProgress
integer<int32>